commons-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Nick Burch (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (VALIDATOR-191) Remove the dependency on Jakarta ORO (move to JDK 1.4 regular expression support)
Date Fri, 27 May 2011 22:12:47 GMT

     [ https://issues.apache.org/jira/browse/VALIDATOR-191?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Nick Burch resolved VALIDATOR-191.
----------------------------------

    Resolution: Fixed

Dependency finally removed as of r1128484.

> Remove the dependency on Jakarta ORO (move to JDK 1.4 regular expression support)
> ---------------------------------------------------------------------------------
>
>                 Key: VALIDATOR-191
>                 URL: https://issues.apache.org/jira/browse/VALIDATOR-191
>             Project: Commons Validator
>          Issue Type: Improvement
>          Components: Routines
>    Affects Versions: 1.2.0 Release, 1.3.0 Release, 1.3.1 Release
>            Reporter: Matthias We├čendorf
>            Priority: Minor
>             Fix For: 1.4
>
>         Attachments: isbn_validator.patch
>
>
> Hey,
> since Java 1.4 supports RegExpr. itself is it possible to remove the "org.apache.oro.text.perl.Perl5Util"
> from ISBNValidator?
> The org.apache.oro.** dependency is also there for the regExp validator.
> Any ideas on that?
> Or is this a "no no", since a Java 1.4 dep. is not suitable.
> Thanks,
> Matthias

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message